Get specific shipping details for a specific cart - Fabric

Get specific shipping details for a specific cart

cURL

curl --request GET \
  --url https://prod.cart.fabric.inc/v2/carts/{cartId}/shipping-details/{shippingDetailsId} \
  --header 'Authorization: <authorization>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod.cart.fabric.inc/v2/carts/{cartId}/shipping-details/{shippingDetailsId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "<authorization>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: '<authorization>'}
};

fetch('https://prod.cart.fabric.inc/v2/carts/{cartId}/shipping-details/{shippingDetailsId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

200
400
404
500

Response Body Example:

{
  "shipToId": "fef78121-bee3-4448-bf1c-d5b5461dbda2",
  "cartId": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
  "createdAt": "2022-02-18T15:12:40.974580",
  "updatedAt": "2022-02-18T15:12:40.974580",
  "shipMethod": {
    "cost": {
      "amount": 10,
      "currency": "USD",
      "discount": 5
    },
    "shipMethodId": "1234",
    "shipmentCarrier": "FedEx",
    "shipmentMethod": "Next Day"
  },
  "address": {
    "attention": "Billing manager",
    "street1": "100 NE 100th St.",
    "street2": "Suite 710",
    "street3": "Seventh floor",
    "street4": "Attention: Pat E. Kake",
    "city": "Seattle",
    "state": "Washington",
    "country": "USA",
    "zipCode": "98125",
    "email": "test@mail.com",
    "kind": "shipping",
    "name": {
      "first": "Pat",
      "middle": "E",
      "last": "Kake"
    },
    "phone": {
      "number": "123-456-7899",
      "kind": "MOBILE"
    }
  },
  "shipToType": "SHIP_TO_ADDRESS",
  "taxCode": "FR1000",
  "isPickup": true,
  "altPickupPerson": {
    "name": {
      "first": "Pat",
      "middle": "E",
      "last": "Kake"
    },
    "phone": {
      "number": "123-456-7899",
      "kind": "MOBILE"
    },
    "email": "test@mail.com"
  },
  "pickupPerson": {
    "name": {
      "first": "Pat",
      "middle": "E",
      "last": "Kake"
    },
    "phone": {
      "number": "123-456-7899",
      "kind": "MOBILE"
    },
    "email": "test@mail.com"
  },
  "warehouseId": "XYZ-1234",
  "storeId": "ABC-123",
  "estimatedShipDate": "2022-02-18T15:12:40.974580",
  "estimatedDeliveryDate": "2022-02-18T15:12:40.974580",
  "shipmentInstructions": "Additional user instructions for shipping"
}

Error Response Examples:

{
  "code": "Bad Request",
  "message": "User ID or Cart ID does not exist"
}
{
  "code": "Cart or item not found",
  "message": "If the issue persists please contact support@fabric.inc."
}
{
  "code": "Internal Server Error",
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}

Headers

x-site-context
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

Authorization
Authorization token for the user.

Example:

"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."

Path Parameters

Example: "d7e78a21-bee3-4448-bf1c-d5b5461dbda2"

Response

200
application/json
OK

Example Response Body:

{...}